## com.lowagie.text.rtf
Interface RtfExtendedElement

All Superinterfaces:
  RtfBasicElement

All Known Implementing Classes:
  RtfCell, RtfCodePage, RtfColor, RtfColorList, RtfFont, RtfFontList, RtfList, RtfListTable, RtfPageSetting, RtfParagraphStyle, RtfStylesheetList

    public interface RtfExtendedElement

extends RtfBasicElement

The RtfExtendedElement interface is to be used for elements that also write data into the definition part of the rtf document

Version:
  $Id: RtfExtendedElement.java 2808 2007-05-30 10:58:16Z psoares33 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Method Summary
`byte[]` `writeDefinition()` Deprecated. replaced by `writeDefinition(OutputStream)`
`void` `writeDefinition(java.io.OutputStream out)` Write the definition part of the element

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument, write, writeContent`

Method Detail

### writeDefinition

    byte[] writeDefinition()

  Deprecated. replaced by `writeDefinition(OutputStream)`

  Return the definition part of the element in a byte array

  Returns:
    A byte array containing the definition data of the Element

### writeDefinition

    void writeDefinition(java.io.OutputStream out)
                         throws java.io.IOException

  Write the definition part of the element

  Throws:
    `java.io.IOException`